Package: org.codehaus.groovy.ast.expr

## [Java] Class TupleExpression

- org.codehaus.groovy.ast.expr.TupleExpression

- All Implemented Interfaces and Traits:
    Iterable

      public class TupleExpression
      extends Expression
      implements Iterable

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TupleExpression()`
    `TupleExpression(Expression expr)`
    `TupleExpression(Expression expr1, Expression expr2)`
    `TupleExpression(Expression expr1, Expression expr2, Expression expr3)`
    `TupleExpression(int capacity)`
    `TupleExpression(List<Expression> expressions)`
    `TupleExpression(Expression[] expressionArray)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TupleExpression` | `addExpression(Expression expression)`
    `` | `public Expression` | `getExpression(int i)`
    `` | `public List<Expression>` | `getExpressions()`
    `` | `public String` | `getText()`
    `` | `public Iterator<Expression>` | `iterator()`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public TupleExpression()

    - #### public TupleExpression(Expression expr)

    - #### public TupleExpression(Expression expr1, Expression expr2)

    - #### public TupleExpression(Expression expr1, Expression expr2, Expression expr3)

    - #### public TupleExpression(int capacity)

    - #### public TupleExpression(List<Expression> expressions)

    - #### public TupleExpression(Expression[] expressionArray)

  - ### Method Detail

    - #### public TupleExpression addExpression(Expression expression)

    - #### public Expression getExpression(int i)

    - #### public List<Expression> getExpressions()

    - #### @Override
      public String getText()

    - #### @Override
      public Iterator<Expression> iterator()

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)